# PhasicFlow: src/phasicFlow/Kokkos/KokkosTypes.hpp File Reference

KokkosTypes.hpp File Reference
Include dependency graph for KokkosTypes.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | DeviceSide
class | HostSide
struct | selectSide< side >

## Namespaces

| pFlow

## Typedefs

using | HostSpace = Kokkos::HostSpace
using | Serial = Kokkos::Serial
using | DefaultHostExecutionSpace = Kokkos::DefaultHostExecutionSpace
using | DefaultExecutionSpace = Kokkos::DefaultExecutionSpace
template<typename T1 , typename T2 >
using | kPair = Kokkos::pair< T1, T2 >
using | range = kPair< int, int >
using | range64 = kPair< int long, int long >
template<typename T , typename... properties>
using | ViewTypeScalar = Kokkos::View< T, properties... >
template<typename T , typename... properties>
using | ViewType1D = Kokkos::View< T *, properties... >
template<typename T , typename... properties>
using | DualViewType1D = Kokkos::DualView< T *, properties... >
template<typename T , typename... properties>
using | ViewType3D = Kokkos::View< T ***, properties... >
template<typename Key , typename Value , typename... properties>
using | unorderedMap = Kokkos::UnorderedMap< Key, Value, properties... >
template<typename Key , typename... properties>
using | unorderedSet = Kokkos::UnorderedMap< Key, void, properties... >
template<typename Key , typename Value >
using | deviceHashMap = Kokkos::UnorderedMap< Key, Value >
template<typename Key , typename Value >
using | hostHashMap = Kokkos::UnorderedMap< Key, Value, Kokkos::HostSpace >
template<typename Key >
using | deviceHashSet = Kokkos::UnorderedMap< Key, void >
template<typename Key >
using | hostHashSet = Kokkos::UnorderedMap< Key, void, Kokkos::HostSpace >
template<typename T >
using | deviceViewTypeScalar = Kokkos::View< T >
template<typename T >
using | deviceViewType1D = Kokkos::View< T * >
template<typename T , typename Layout = void>
using | deviceViewType2D = Kokkos::View< T **, Layout, void >
template<typename T >
using | hostViewTypeScalar = Kokkos::View< T, Kokkos::HostSpace >
template<typename T >
using | hostViewType1D = Kokkos::View< T *, Kokkos::HostSpace >
template<typename T , typename Layout = void>
using | hostViewType2D = Kokkos::View< T **, Layout, Kokkos::HostSpace >
template<typename T >
using | deviceAtomicViewType1D = Kokkos::View< T *, Kokkos::MemoryTraits< std::is_same< DefaultExecutionSpace, Serial >::value?0:Kokkos::Atomic > >
template<typename T >
using | deviceAtomicViewType3D = Kokkos::View< T ***, Kokkos::MemoryTraits< std::is_same< DefaultExecutionSpace, Serial >::value?0:Kokkos::Atomic > >